import request from '@/utils/request'

// 查询专业课申请列表
export function listSpecialCourseApply(query) {
  return request({
    url: '/major/SpecialCourseApply/list',
    method: 'get',
    params: query
  })
}

// 查询专业课申请详细
export function getSpecialCourseApply(specialCourseApplyId) {
  return request({
    url: '/major/SpecialCourseApply/' + specialCourseApplyId,
    method: 'get'
  })
}

// 新增专业课申请
export function addSpecialCourseApply(data) {
  return request({
    url: '/major/SpecialCourseApply',
    method: 'post',
    data: data
  })
}

// 修改专业课申请
export function updateSpecialCourseApply(data) {
  return request({
    url: '/major/SpecialCourseApply',
    method: 'put',
    data: data
  })
}

// 删除专业课申请
export function delSpecialCourseApply(specialCourseApplyId) {
  return request({
    url: '/major/SpecialCourseApply/' + specialCourseApplyId,
    method: 'delete'
  })
}
